/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.apio.architect.test.util.internal.json;

import com.google.gson.JsonElement;
import com.google.gson.JsonPrimitive;

import com.liferay.apio.architect.test.util.json.AbstractJsonElementMatcher;
import com.liferay.apio.architect.test.util.json.JsonElementType;

import java.util.Objects;

import org.hamcrest.Matcher;

/**
 * A {@code Matcher} that checks if an element is a correct boolean JSON
 * primitive.
 *
 * @author Alejandro Hernández
 */
public class IsJsonBoolean
	extends AbstractJsonElementMatcher<JsonPrimitive, Boolean> {

	public IsJsonBoolean(Matcher<Boolean> booleanMatcher) {
		super(
			JsonElementType.BOOLEAN, booleanMatcher, JsonElement::getAsBoolean);

		Objects.requireNonNull(booleanMatcher);
	}

}